package com.iformall.enums;

/**
 * Created by luozukai
 * 域:0全部1sys 2a端 3c端 4b端
 */
public enum EnumMsgRecordDomain {
    ALL(0, "全部"),
    SYS(2, "系统消息"),
    A(3, "a端"),
    C(4, "c端"),
    B(5, "b端"),
    USER(6, "用户"),
    ;

    public static EnumMsgRecordDomain getEnum(Integer code) {
        for (EnumMsgRecordDomain value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgRecordDomain(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
